.m-list-loading {
  list-style: none;
  padding-top: 0.15rem;
  padding-left: 0;
  margin: 0;

  &__item {
    height: 0.83rem;
    margin-bottom: 1rem;
    background-color: var(--black-0);
    border-radius: 0.25rem;
    overflow: hidden;
    position: relative;

    &::after {
      position: absolute;
      content: "";
      display: block;
      width: 100%;
      top: 0;
      bottom: 0;
      background-image: linear-gradient(
        90deg,
        transparent 0%,
        darken(#eee, 7.5%) 10%,
        darken(#eee, 7.5%) 25%,
        transparent 35%
      );
      transform: translateX(0);
      animation-name: data-loading;
      animation-duration: 2s;
      animation-iteration-count: infinite;
      animation-timing-function: linear;
    }

    &:last-of-type {
      margin-bottom: 0;
    }
  }
}
